@import "~@/assets/sass/theme.sass"

[data-aos="fade-to-right"]
  transform: translateX(-150%)
  opacity: 0
  transition-property: opacity, transform

  &.aos-animate
    opacity: 1 !important
    transform: translateX(0) !important

[data-aos="fade-to-left"]
  transform: translateX(150%) !important
  opacity: 0 !important
  transition-property: opacity, transform !important

  &.aos-animate
    opacity: 1 !important
    transform: translateX(0) !important

[data-aos="fade-to-top"]
  transform: translateY(150%) !important
  opacity: 0 !important
  transition-property: opacity, transform !important

  &.aos-animate
    opacity: 1 !important
    transform: translateY(0) !important

[data-aos="fade-to-bottom"]
  transform: translateY(-150%) !important
  opacity: 0 !important
  transition-property: opacity, transform !important

  &.aos-animate
    opacity: 1 !important
    transform: translateY(0) !important


[data-aos="mask-slide-bottom-first"]
  overflow: hidden
  transition-property: height, transform, background-size !important
  background-size: 150% !important
  height: 0
  &.aos-animate
    height: 100vh
    background-size: 100% !important


[data-aos="mask-slide-bottom"]
  overflow: hidden
  transition-property: height, transform, background-size
  background-size: 150% !important
  &.aos-animate
    background-size: 100% !important


[data-aos="scroll-btn"]
  transition-property: transform, opacity !important
  opacity: 0 !important
  transform: translateY(100%) !important
  &.aos-animate
    opacity: 1 !important
    transform: translateY(0) !important


[data-aos="card-slide"]
  transition-property: transform, max-height, padding !important
  max-height: 0
  padding: 0 !important
  &.aos-animate
    &.sm
      padding: 10px 0 !important
    &.md
      padding: 30px 0 !important
    &.lg
      padding: 50px 0 !important
    max-height: 500px
